Ga naar de inhoud
Cyzyra

API-referentie

Objecten

De eigen registratietypes van uw bedrijf (eigendommen, voertuigen, bestellingen...) en hun administratie.

Listar os tipos de objeto do negócio (imóveis, veículos…) e seus campos

get/api/v1/objects

Sleuteltoestemming: leitura

Antwoorden

  • 200Tipos
Verzoek
curl "https://www.cyzyra.com/api/v1/objects" \
  -H "Authorization: Bearer $CYZYRA_API_KEY"

Przykład ilustrujący.

Listar registros de um tipo de objeto (id ou chave, ex.: imovel)

get/api/v1/objects/{type}/records

Sleuteltoestemming: leitura

Parameters

type string · caminhoverplicht

—

q string · consulta

—

Antwoorden

  • 200Registros
  • 404Tipo não encontrado
Verzoek
curl "https://www.cyzyra.com/api/v1/objects/imovel/records" \
  -H "Authorization: Bearer $CYZYRA_API_KEY"

Przykład ilustrujący.

Criar registro (validado pelos campos do tipo)

post/api/v1/objects/{type}/records

Sleuteltoestemming: escrita

Parameters

type string · caminhoverplicht

—

Hoofdtekst (JSON)

data objectverplicht

Voorbeeld: {"endereco":"Rua A, 10","valor":450000,"situacao":"Disponível"}

Antwoorden

  • 201Criado
  • 422Campos inválidos
Verzoek
curl -X POST "https://www.cyzyra.com/api/v1/objects/imovel/records" \
  -H "Authorization: Bearer $CYZYRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"data":{"endereco":"Rua A, 10","valor":450000,"situacao":"Disponível"}}'

Przykład ilustrujący.